<template>
    <div>
<GmapMap
  :center="{lat:32.90164630, lng:-96.91548760}"
  :zoom="10"
  map-type-id="terrain"
  style="width: 600px; height: 600px"
>
  <GmapMarker
    :key="index"
    v-for="(m, index) in markers"
    :position="{lat:32.90164630, lng:-96.91548760}"
    :clickable="true"
    :draggable="true"
    @click="center=m.position"
  />
</GmapMap>
    </div>
</template>

<script>
import * as VueGoogleMaps from 'vue2-google-maps'
    export default {
        data() {
            return {
                name: "kiran"
            }
        },
    }
</script>

<style scoped>

</style>